import React, { ImgHTMLAttributes } from 'react';
import { v as FrameTheme, q as FrameState } from './types-DZnM_9D3.js';
import 'frames.js';
import '@farcaster/core';

declare const defaultTheme: Required<FrameTheme>;
type FrameUIProps = {
    frameState: FrameState;
    theme?: FrameTheme;
    FrameImage?: React.FC<ImgHTMLAttributes<HTMLImageElement> & {
        src: string;
    }>;
    allowPartialFrame?: boolean;
};
/** A UI component only, that should be easy for any app to integrate */
declare function FrameUI({ frameState, theme, FrameImage, allowPartialFrame, }: FrameUIProps): React.JSX.Element | null;

export { FrameUI, type FrameUIProps, defaultTheme };
